using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ArenaController : MonoBehaviour
{
	private void OnTriggerEnter2D(Collider2D collider)
	{
		bool isGameOver = GameStart.Instance.CheckGameOver();
		CatController cc = collider.GetComponent<CatController>();

		cc.Appearance.Kill(false);

		if (isGameOver)
		{
			GameManager.Instance.BombController.ToggleGraphics(false);
			GameManager.Instance.BombController.Pause();
		}
		else
		{
			if(GameManager.Instance.BombController.Owner == collider.transform)
			{
				GameManager.Instance.BombController.Cooldown();
			}
		}

		// cc.Appearance.ToggleVisibility(false);
		// cc.Input.SetPermissions(false);
		// GameManager.Instance.GameStart.KillPlayer(cc.transform);

	}
}
